<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: interval Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>interval Struct Reference</h1><!-- doxytag: class="interval" -->
<p><code>#include &lt;<a class="el" href="types_8h_source.html">types.h</a>&gt;</code></p>

<p><a href="structinterval-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structinterval.html#a3af72063ac42a7959562dd87586acb70">MaxN</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structinterval.html#aec5d91911af4c48d899c363c1637b6fe">MaxD</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structinterval.html#a671bae1e764608a6f6da4449f8158098">MinN</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Value&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structinterval.html#a0470f7cbd4da9aa8b77a579af53c65a3">MinD</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structinterval.html#a0bcde6d5bb239a8786de8401adf60489">MaxI</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structinterval.html#a4a85bcb34b14c468511a4a783673bfcb">MinI</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="types_8h_source.html#l00127">127</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aec5d91911af4c48d899c363c1637b6fe"></a><!-- doxytag: member="interval::MaxD" ref="aec5d91911af4c48d899c363c1637b6fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value <a class="el" href="structinterval.html#aec5d91911af4c48d899c363c1637b6fe">interval::MaxD</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00128">128</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>.</p>

</div>
</div>
<a class="anchor" id="a0bcde6d5bb239a8786de8401adf60489"></a><!-- doxytag: member="interval::MaxI" ref="a0bcde6d5bb239a8786de8401adf60489" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structinterval.html#a0bcde6d5bb239a8786de8401adf60489">interval::MaxI</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00130">130</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>.</p>

</div>
</div>
<a class="anchor" id="a3af72063ac42a7959562dd87586acb70"></a><!-- doxytag: member="interval::MaxN" ref="a3af72063ac42a7959562dd87586acb70" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value <a class="el" href="structinterval.html#a3af72063ac42a7959562dd87586acb70">interval::MaxN</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00128">128</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>.</p>

</div>
</div>
<a class="anchor" id="a0470f7cbd4da9aa8b77a579af53c65a3"></a><!-- doxytag: member="interval::MinD" ref="a0470f7cbd4da9aa8b77a579af53c65a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value <a class="el" href="structinterval.html#a0470f7cbd4da9aa8b77a579af53c65a3">interval::MinD</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00129">129</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>.</p>

</div>
</div>
<a class="anchor" id="a4a85bcb34b14c468511a4a783673bfcb"></a><!-- doxytag: member="interval::MinI" ref="a4a85bcb34b14c468511a4a783673bfcb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structinterval.html#a4a85bcb34b14c468511a4a783673bfcb">interval::MinI</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00130">130</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>.</p>

</div>
</div>
<a class="anchor" id="a671bae1e764608a6f6da4449f8158098"></a><!-- doxytag: member="interval::MinN" ref="a671bae1e764608a6f6da4449f8158098" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Value <a class="el" href="structinterval.html#a671bae1e764608a6f6da4449f8158098">interval::MinN</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="types_8h_source.html#l00129">129</a> of file <a class="el" href="types_8h_source.html">types.h</a>.</p>

<p>Referenced by <a class="el" href="polyhedron_8c_source.html#l04223">DomainCost()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="types_8h_source.html">types.h</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
